package com.autentia.tutorial.camel.dao;

import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.hibernate3.support.HibernateDaoSupport;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.autentia.tutorial.camel.entity.Payment;

@Repository
public class PaymentDaoHibernateImpl extends HibernateDaoSupport implements PaymentDao {
	
	
	@Autowired
	public PaymentDaoHibernateImpl(SessionFactory sessionFactory) {
		super.setSessionFactory(sessionFactory);
	}
	
	
	@Override
	@Transactional
	public void storePayment(Payment paymentToStore) {
		getHibernateTemplate().save(paymentToStore);
	}
	
	
	
}
