package com.autentia.tutorial.camel.services;

import org.apache.camel.Exchange;
import org.apache.camel.Processor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.autentia.tutorial.camel.dao.PaymentDao;
import com.autentia.tutorial.camel.entity.Payment;

@Service
public class PaymentRegister implements Processor {
	
	private final PaymentDao paymentDao;
	
	
	
	@Autowired
	public PaymentRegister(PaymentDao paymentDao) {
		this.paymentDao = paymentDao;
	}
	
	
	@Override
	public void process(Exchange exchange) throws Exception {
			
		final String user = (String) exchange.getIn().getHeader("paymentUser");
		final String transaction = (String) exchange.getIn().getHeader("paymentTransaction");
				
		
		paymentDao.storePayment(new Payment(user, transaction));
		
		
	}
	
	
	
}
